Page MenuHomeFreeBSD

Introduce basic etherswitch support for Ralink SoCs
ClosedPublic

Authored by sgalabov on May 13 2016, 3:33 PM.

Details

Summary

This revision introduces basic support for the internal ESW switch found in some Ralink/Mediatek SoCs such as RT3050, RT3352, RT5350, MT7628 and GSW found in MT7620 and MT7621.

It only supports 802.1q VLANs and doesn't support external PHYs at the moment (only the ones that are built into the switch itself).

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sgalabov updated this revision to Diff 16292.May 13 2016, 3:33 PM
sgalabov retitled this revision from to Introduce basic etherswitch support for Ralink SoCs.
sgalabov updated this object.
sgalabov edited the test plan for this revision. (Show Details)
sgalabov added a reviewer: adrian.
sgalabov set the repository for this revision to rS FreeBSD src repository.
sgalabov updated this revision to Diff 16293.May 13 2016, 3:46 PM

add copyright to *.h files.

adrian accepted this revision.May 13 2016, 8:19 PM
adrian edited edge metadata.

looks good as a first pass driver! We can add more support once it's in -HEAD.

This revision is now accepted and ready to land.May 13 2016, 8:19 PM
sgalabov updated this revision to Diff 16332.May 14 2016, 8:51 AM
sgalabov edited edge metadata.

Add MT7620/MT7621 first pass driver as well.

This revision now requires review to proceed.May 14 2016, 8:51 AM
adrian accepted this revision.May 14 2016, 3:25 PM
adrian edited edge metadata.

looks fine, go for it!

This revision is now accepted and ready to land.May 14 2016, 3:25 PM
sgalabov updated this object.May 16 2016, 6:58 AM
sgalabov edited edge metadata.
This revision was automatically updated to reflect the committed changes.